Bug 1394599 - [abrt] vino: XQueryExtension(): vino-server killed by SIGSEGV
Summary: [abrt] vino: XQueryExtension(): vino-server killed by SIGSEGV
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vino
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:71e50e3172c346f84137b4107c8...
Keywords: CommonBugs
: 1397633 1401992 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-11-14 01:37 UTC by Christopher Wayne Fisher
Modified: 2018-03-22 16:35 UTC (History)
31 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:33:56 UTC


Attachments (Terms of Use)
File: backtrace (24.86 KB, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: cgroup (266 bytes, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: core_backtrace (5.29 KB, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: dso_list (9.17 KB, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: environ (952 bytes, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: exploitable (82 bytes, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: maps (43.72 KB, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: mountinfo (3.67 KB, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: open_fds (876 bytes, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details
File: var_log_messages (1.17 KB, text/plain)
2016-11-14 01:37 UTC, Christopher Wayne Fisher
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 761120 None None None 2016-11-16 09:24 UTC
Red Hat Bugzilla 1211040 None None None Never

Internal Trackers: 1211040

Description Christopher Wayne Fisher 2016-11-14 01:37:41 UTC
Description of problem:
it happens everytime i reboot on default installation

Version-Release number of selected component:
vino-3.22.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: XQueryExtension
executable:     /usr/libexec/vino-server
global_pid:     1865
kernel:         4.8.7-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XQueryExtension at QuExt.c:43
 #1 get_xinput_base at XTest.c:79
 #2 find_display at XTest.c:83
 #3 XTestQueryExtension at XTest.c:101
 #4 vino_input_init at server/vino-input.c:761
 #5 name_acquired at server/vino-main.c:152
 #6 do_call at gdbusnameowning.c:215
 #7 request_name_cb at gdbusnameowning.c:327
 #8 g_task_return_now at gtask.c:1121
 #9 g_task_return at gtask.c:1179

Potential duplicate: bug 1348760

Comment 1 Christopher Wayne Fisher 2016-11-14 01:37:45 UTC
Created attachment 1220196 [details]
File: backtrace

Comment 2 Christopher Wayne Fisher 2016-11-14 01:37:46 UTC
Created attachment 1220197 [details]
File: cgroup

Comment 3 Christopher Wayne Fisher 2016-11-14 01:37:48 UTC
Created attachment 1220198 [details]
File: core_backtrace

Comment 4 Christopher Wayne Fisher 2016-11-14 01:37:49 UTC
Created attachment 1220201 [details]
File: dso_list

Comment 5 Christopher Wayne Fisher 2016-11-14 01:37:50 UTC
Created attachment 1220202 [details]
File: environ

Comment 6 Christopher Wayne Fisher 2016-11-14 01:37:51 UTC
Created attachment 1220204 [details]
File: exploitable

Comment 7 Christopher Wayne Fisher 2016-11-14 01:37:52 UTC
Created attachment 1220206 [details]
File: limits

Comment 8 Christopher Wayne Fisher 2016-11-14 01:37:53 UTC
Created attachment 1220209 [details]
File: maps

Comment 9 Christopher Wayne Fisher 2016-11-14 01:37:54 UTC
Created attachment 1220211 [details]
File: mountinfo

Comment 10 Christopher Wayne Fisher 2016-11-14 01:37:55 UTC
Created attachment 1220213 [details]
File: namespaces

Comment 11 Christopher Wayne Fisher 2016-11-14 01:37:56 UTC
Created attachment 1220215 [details]
File: open_fds

Comment 12 Christopher Wayne Fisher 2016-11-14 01:37:57 UTC
Created attachment 1220218 [details]
File: proc_pid_status

Comment 13 Christopher Wayne Fisher 2016-11-14 01:37:58 UTC
Created attachment 1220220 [details]
File: var_log_messages

Comment 14 Ondrej Holy 2016-11-23 07:33:47 UTC
*** Bug 1397633 has been marked as a duplicate of this bug. ***

Comment 15 Bob Gustafson 2016-11-28 16:35:17 UTC
I upgraded to F25 last week. vino was not working.

Today, I noticed in my logwatch the following lines:

--------------------- Kernel Begin ------------------------ 

 
 WARNING:  Segmentation Faults in these executables
    vino-server :  9 Time(s)
 
 WARNING:  General Protection Faults in these executables
    traps: vino-server :  1 Time(s)
 
 WARNING:  Trap int3 in these executables
    traps: gnome-shell :  1 Time(s)
    traps: gnome-terminal- :  1 Time(s)
 
 WARNING:  Kernel Errors Present
    ACPI Error: Method parse/ex ...:  12 Time(s)
    ACPI Error: [DSSP] Namespac ...:  12 Time(s)

Comment 16 Bob Gustafson 2017-01-03 14:53:51 UTC
Most recent logwatch lines:

    vino-server.service: Failed with result 'core-dump'.: 5 Time(s)
    vino-server.service: Failed with result 'start-limit-hit'.: 1 Time(s)
    vino-server.service: Main process exited, code=dumped, status=11/SEGV: 5 Time(s)
    vino-server.service: Service hold-off time over, scheduling restart.: 5 Time(s)
    vino-server.service: Start request repeated too quickly.: 1 Time(s)
    vino-server.service: Unit entered failed state.: 6 Time(s)
    vncserver@:1.service: Control process exited, code=exited status=217: 1 Time(s)
    vncserver@:1.service: Failed at step USER spawning /usr/bin/vncserver: No such process: 2 Time(s)
    vncserver@:1.service: Failed with result 'exit-code'.: 1 Time(s)
    vncserver@:1.service: Unit entered failed state.: 1 Time(s)

Comment 17 Bob Gustafson 2017-01-03 15:00:16 UTC
Here is another system - similar logwatch. This system has newer hardware than the previous Comment #16 (does not seem to try /usr/bin/vncserver)

   vino-server.service: Failed with result 'core-dump'.: 5 Time(s)
    vino-server.service: Failed with result 'start-limit-hit'.: 1 Time(s)
    vino-server.service: Main process exited, code=dumped, status=11/SEGV: 5 Time(s)
    vino-server.service: Service hold-off time over, scheduling restart.: 5 Time(s)
    vino-server.service: Start request repeated too quickly.: 1 Time(s)
    vino-server.service: Unit entered failed state.: 6 Time(s)
    vncserver@:0.service: Failed with result 'exit-code'.: 1 Time(s)
    vncserver@:0.service: Main process exited, code=exited, status=1/FAILURE: 1 Time(s)
    vncserver@:0.service: Unit entered failed state.: 1 Time(s)
    vncserver@:1.service: Failed with result 'exit-code'.: 1 Time(s)
    vncserver@:1.service: Main process exited, code=exited, status=1/FAILURE: 1 Time(s)
    vncserver@:1.service: Unit entered failed state.: 1 Time(s)
    x11vnc.service: Failed with result 'exit-code'.: 1 Time(s)
    x11vnc.service: Main process exited, code=exited, status=1/FAILURE: 1 Time(s)
    x11vnc.service: Unit entered failed state.: 1 Time(s)

Comment 18 Bob Gustafson 2017-01-03 15:04:36 UTC
Here is logwatch fragment from a still newer hardware box:

    vino-server.service: Failed with result 'core-dump'.: 5 Time(s)
    vino-server.service: Failed with result 'start-limit-hit'.: 1 Time(s)
    vino-server.service: Main process exited, code=dumped, status=11/SEGV: 5 Time(s)
    vino-server.service: Service hold-off time over, scheduling restart.: 5 Time(s)
    vino-server.service: Start request repeated too quickly.: 1 Time(s)
    vino-server.service: Unit entered failed state.: 6 Time(s)
    xdg-permission-store.service: Failed with result 'exit-code'.: 1 Time(s)
    xdg-permission-store.service: Main process exited, code=exited, status=1/FAILURE: 1 Time(s)
    xdg-permission-store.service: Unit entered failed state.: 1 Time(s)
 
These lines on all systems seem to come from my most recent update:

   sudo dnf update

   sudo shutdown -r now

Comment 19 Kamil Páral 2017-01-04 09:11:33 UTC
The problem is known, it doesn't need any further debugging, I believe.

Comment 20 Bob Gustafson 2017-01-04 12:52:48 UTC
(In reply to Kamil Páral from comment #19)
> The problem is known, it doesn't need any further debugging, I believe.

Knowing what the problem is - - and fixing the problem are two different things!

Comment 21 Kamil Páral 2017-01-04 14:52:23 UTC
Yes. If you're willing to fix this, patches are definitely welcome. Be sure to provide them in the upstream bug report in that case, thanks.

Comment 22 Jiri Eischmann 2017-01-24 14:04:54 UTC
*** Bug 1401992 has been marked as a duplicate of this bug. ***

Comment 23 Terminal_Crazy 2017-02-19 11:50:32 UTC
Similar problem has been detected:

Automatic upgrade from Fedora 24 to 25

Faults logged before desktop has booted up.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: XQueryExtension
executable:     /usr/libexec/vino-server
global_pid:     3133
kernel:         4.9.9-200.fc25.x86_64
package:        vino-3.22.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         vino-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0

Comment 24 Terminal_Crazy 2017-02-23 23:27:29 UTC
Similar problem has been detected:

`CRASHES UPON BOOTUP.	


reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: XQueryExtension
executable:     /usr/libexec/vino-server
global_pid:     4346
kernel:         4.9.10-200.fc25.x86_64
package:        vino-3.22.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         vino-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0

Comment 25 Terminal_Crazy 2017-02-24 07:39:44 UTC
Similar problem has been detected:

program start on it's own and the crash appears in the reporter

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: XQueryExtension
executable:     /usr/libexec/vino-server
global_pid:     6130
kernel:         4.9.10-200.fc25.x86_64
package:        vino-3.22.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         vino-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0

Comment 26 Gene Snider 2017-03-07 00:54:44 UTC
Similar problem has been detected:

It popped up at login.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: _XSend
executable:     /usr/libexec/vino-server
global_pid:     1958
kernel:         4.9.13-200.fc25.x86_64
package:        vino-3.22.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         vino-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 27 Gabriel M. Elder 2017-03-07 15:17:08 UTC
The bottom line for me, afaict, is that vino-server auto-launches (i.e. with Screen Sharing "On") and runs fine under GNOME/Xorg, but crashes immediately when logging into a GNOME/Wayland session. Presumably this is what others are seeing on their installs as well? Willing to provide additional troubleshooting info (and possibly patches), if it helps.

Comment 28 Gabriel M. Elder 2017-05-16 21:44:36 UTC
It appears that some update within the last few months completely removed the screen sharing option from the gnome-control-center sharing sub-panel when running under Wayland. I suppose that's <em>one way</em> to eliminate the problem...

Vino-server runs fine under GNOME/Xorg, but segfaults and dumps core when I attempt to run /usr/libexec/vino-server from gnome-terminal in a GNOME/Wayland session. What are users supposed to do for remote desktop access to their GNOME/Wayland desktop? What's the recommended workaround? Tigervnc-server? X11vnc?

Comment 29 Bob Gustafson 2017-05-16 22:33:18 UTC
(In reply to Gabriel M. Elder from comment #28)

> What are users supposed to do for remote desktop
> access to their GNOME/Wayland desktop? What's the recommended workaround?

I have my screens, mice, keyboards on one Desktop..

If you need a more practical solution, pitch Wayland in the wastebasket and go back to X.

Comment 30 Kamil Páral 2017-05-17 07:54:44 UTC
(In reply to Gabriel M. Elder from comment #28)
> What are users supposed to do for remote desktop
> access to their GNOME/Wayland desktop?

It's not possible at the moment. Use X11 session if you need that.

Comment 31 Kamil Páral 2017-05-17 08:29:21 UTC
Process info: I'm going to keep this in common bugs, because the crash still occurs if you configured remote screen under X11 and then log in with Wayland. The removed option from UI helps to prevent people from triggering this easily, but does not completely avoid it.

Comment 32 David Biesack 2017-06-13 18:54:18 UTC
I still see vino server crashed on a regular basis.
I'm running CentOS 7.3 and have all updates. I often
access VNC from the native screen sharing on Mac OS X.
A couple times a week I'll be connected from my Mac to my CentOS X
session and it will not only crash vino, but my session as well,
causing a logout; I must return to my CentOS system and log back in.

Comment 33 Fedora End Of Life 2017-11-16 15:31:48 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 34 Fedora End Of Life 2017-12-12 10:33:56 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.